Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Inherited Constants | Fields | Ctors | Methods | Inherited Methods | [Expand All]
public final class

# GoogleMapOptions

extends Object
implements Parcelable

java.lang.Object
↳ | com.google.android.gms.maps.GoogleMapOptions

## Class Overview

Defines configuration GoogleMapOptions for a `GoogleMap`. These options can be used when adding a map to your application programmatically (as opposed to via XML). If you are using a `MapFragment`, you can pass these options in using the static factory method `newInstance(GoogleMapOptions)`. If you are using a `MapView`, you can pass these options in using the constructor `MapView(Context, GoogleMapOptions)`.

If you add a map using XML, then you can apply these options using custom XML tags.

## Summary

[Expand] Inherited Constants

From interface android.os.Parcelable

int | CONTENTS_FILE_DESCRIPTOR |
int | PARCELABLE_WRITE_RETURN_VALUE |

Fields
public static final GoogleMapOptionsCreator | CREATOR |

Public Constructors
| GoogleMapOptions() Creates a new GoogleMapOptions object.

Public Methods
GoogleMapOptions | camera(CameraPosition camera) Specifies a the initial camera position for the map.
GoogleMapOptions | compassEnabled(boolean enabled) Specifies whether the compass should be enabled.
static GoogleMapOptions | createFromAttributes(Context context, AttributeSet attrs) Creates a GoogleMapsOptions from the attribute set
int | describeContents()
CameraPosition | getCamera()
Boolean | getCompassEnabled()
int | getMapType()
Boolean | getRotateGesturesEnabled()
Boolean | getScrollGesturesEnabled()
Boolean | getTiltGesturesEnabled()
Boolean | getUseViewLifecycleInFragment()
Boolean | getZOrderOnTop()
Boolean | getZoomControlsEnabled()
Boolean | getZoomGesturesEnabled()
GoogleMapOptions | mapType(int mapType) Specifies a change to the initial map type.
GoogleMapOptions | rotateGesturesEnabled(boolean enabled) Specifies whether rotate gestures should be enabled.
GoogleMapOptions | scrollGesturesEnabled(boolean enabled) Specifies whether scroll gestures should be enabled.
GoogleMapOptions | tiltGesturesEnabled(boolean enabled) Specifies whether tilt gestures should be enabled.
GoogleMapOptions | useViewLifecycleInFragment(boolean useViewLifecycleInFragment) When using a `MapFragment`, this flag specifies whether the lifecycle of the map should be tied to the fragment's view or the fragment itself.
void | writeToParcel(Parcel out, int flags)
GoogleMapOptions | zOrderOnTop(boolean zOrderOnTop) Control whether the map view's surface is placed on top of its window.
GoogleMapOptions | zoomControlsEnabled(boolean enabled) Specifies whether the zoom controls should be enabled.
GoogleMapOptions | zoomGesturesEnabled(boolean enabled) Specifies whether zoom gestures should be enabled.

[Expand] Inherited Methods

From class java.lang.Object

Object | clone()
boolean | equals(Object arg0)
void | finalize()
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)

From interface android.os.Parcelable

abstract int | describeContents()
abstract void | writeToParcel(Parcel arg0, int arg1)

## Fields

#### public static final GoogleMapOptionsCreator CREATOR

## Public Constructors

#### public GoogleMapOptions ()

Creates a new GoogleMapOptions object.

## Public Methods

#### public GoogleMapOptions camera (CameraPosition camera)

Specifies a the initial camera position for the map.

#### public GoogleMapOptions compassEnabled (boolean enabled)

Specifies whether the compass should be enabled. See `setCompassEnabled(boolean)` for more details. The default value is `true`.

#### public static GoogleMapOptions createFromAttributes (Context context, AttributeSet attrs)

Creates a GoogleMapsOptions from the attribute set

#### public int describeContents ()

#### public CameraPosition getCamera ()

##### Returns

- the camera option, or null if unspecified.

#### public Boolean getCompassEnabled ()

##### Returns

- the compassEnabled option, or null if unspecified.

#### public int getMapType ()

##### Returns

- the mapType option, or -1 if unspecified.

#### public Boolean getRotateGesturesEnabled ()

##### Returns

- the rotateGesturesEnabled option, or null if unspecified.

#### public Boolean getScrollGesturesEnabled ()

##### Returns

- the scrollGesturesEnabled option, or null if unspecified.

#### public Boolean getTiltGesturesEnabled ()

##### Returns

- the tiltGesturesEnabled option, or null if unspecified.

#### public Boolean getUseViewLifecycleInFragment ()

##### Returns

- the useViewLifecycleInFragment option, or null if unspecified.

#### public Boolean getZOrderOnTop ()

##### Returns

- the zOrderOnTop option, or null if unspecified.

#### public Boolean getZoomControlsEnabled ()

##### Returns

- the zoomControlsEnabled option, or null if unspecified.

#### public Boolean getZoomGesturesEnabled ()

##### Returns

- the zoomGesturesEnabled option, or null if unspecified.

#### public GoogleMapOptions mapType (int mapType)

Specifies a change to the initial map type.

#### public GoogleMapOptions rotateGesturesEnabled (boolean enabled)

Specifies whether rotate gestures should be enabled. See `setRotateGesturesEnabled(boolean)` for more details. The default value is `true`.

#### public GoogleMapOptions scrollGesturesEnabled (boolean enabled)

Specifies whether scroll gestures should be enabled. See `setScrollGesturesEnabled(boolean)` for more details. The default value is `true`.

#### public GoogleMapOptions tiltGesturesEnabled (boolean enabled)

Specifies whether tilt gestures should be enabled. See `setTiltGesturesEnabled(boolean)` for more details. The default value is `true`.

#### public GoogleMapOptions useViewLifecycleInFragment (boolean useViewLifecycleInFragment)

When using a `MapFragment`, this flag specifies whether the lifecycle of the map should be tied to the fragment's view or the fragment itself. The default value is `false`, tying the lifecycle of the map to the fragment.

Using the lifecycle of the fragment allows faster rendering of the map when the fragment is detached and reattached, because the underlying GL context is preserved. This has the cost that detaching the fragment, but not destroying it, will not release memory used by the map.

Using the lifecycle of a fragment's view means that a map is not reused when the fragment is detached and reattached. This will cause the map to re-render from scratch, which can take a few seconds. It also means that while a fragment is detached, and therefore has no view, all `GoogleMap` methods will throw `NullPointerException`.

#### public void writeToParcel (Parcel out, int flags)

#### public GoogleMapOptions zOrderOnTop (boolean zOrderOnTop)

Control whether the map view's surface is placed on top of its window. See `setZOrderOnTop(boolean)` for more details. Note that this will cover all other views that could appear on the map (e.g., the zoom controls, the my location button).

#### public GoogleMapOptions zoomControlsEnabled (boolean enabled)

Specifies whether the zoom controls should be enabled. See `setZoomControlsEnabled(boolean)` for more details. The default value is `true`.

#### public GoogleMapOptions zoomGesturesEnabled (boolean enabled)

Specifies whether zoom gestures should be enabled. See `setZoomGesturesEnabled(boolean)` for more details. The default value is `true`.